Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.debug.core.model
Interface IIndexedValue

All Superinterfaces:
  IAdaptable, IDebugElement, IValue

public interface IIndexedValue
extends IValue

A value containing an indexed collection of variables - for example, an array.

The indexed collection value has been added to the debug model to support automatic partitioning of large arrays in the debug UI. Clients are not required to implement this interface for values representing indexed collections, however, doing so will provide enhanced display options in the debug UI.

Clients may implement this interface.

Since:
  3.0

Method Summary
`int` | `getInitialOffset()` Returns the index of the first variable contained in this value.
`int` | `getSize()` Returns the number of entries in this indexed collection.
`IVariable` | `getVariable(int offset)` Returns the variable at the given offset in this collection.
`IVariable[]` | `getVariables(int offset, int length)` Returns a subset of the elements in this collection of variables as specified by the given offset and length.

Methods inherited from interface org.eclipse.debug.core.model.IValue
`getReferenceTypeName, getValueString, getVariables, hasVariables, isAllocated`

Methods inherited from interface org.eclipse.debug.core.model.IDebugElement
`getDebugTarget, getLaunch, getModelIdentifier`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Method Detail

### getVariable

    public IVariable getVariable(int offset)
                          throws DebugException

  Returns the variable at the given offset in this collection. The offset is zero based.

  Parameters:
    `offset` - zero based offset into this collection
  Returns:
    returns the variable in this collection at the given offset
  Throws:
    `DebugException` - if unable to retrieve the variable at the given offset

### getVariables

    public IVariable[] getVariables(int offset,
                                    int length)
                             throws DebugException

  Returns a subset of the elements in this collection of variables as specified by the given offset and length.

  Parameters:
    `offset` - beginning offset of the subset of elements to return
    `length` - the number of elements to return
  Returns:
    a subset of the elements in this collection of variables as specified by the given offset and length
  Throws:
    `DebugException` - if unable to retrieve the variables

### getSize

    public int getSize()
                throws DebugException

  Returns the number of entries in this indexed collection.

  Returns:
    the number of entries in this indexed collection
  Throws:
    `DebugException` - if unable to determine the number of entries in this collection

### getInitialOffset

    public int getInitialOffset()

  Returns the index of the first variable contained in this value. Generally, indexed values are zero based, but this allows for an arbitrary base offset.

  Returns:
    the index of the first variable contained in this value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.